summaryrefslogtreecommitdiff
path: root/media-sound/mpdas/files
diff options
context:
space:
mode:
Diffstat (limited to 'media-sound/mpdas/files')
-rw-r--r--media-sound/mpdas/files/mpdas.init21
1 files changed, 21 insertions, 0 deletions
diff --git a/media-sound/mpdas/files/mpdas.init b/media-sound/mpdas/files/mpdas.init
new file mode 100644
index 000000000000..bcb2367665b2
--- /dev/null
+++ b/media-sound/mpdas/files/mpdas.init
@@ -0,0 +1,21 @@
+#!/sbin/openrc-run
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ use net mpd
+}
+
+start() {
+ ebegin "Starting mpdas"
+ start-stop-daemon --background --start --exec /usr/bin/mpdas \
+ --make-pidfile --pidfile /run/mpdas.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping mpdas"
+ start-stop-daemon --stop --exec /usr/bin/mpdas \
+ --pidfile /run/mpdas.pid
+ eend $?
+}